duration.hpp File Reference

A span of time in milliseconds. More...

`#include "./internal/export.hpp"`
`#include "./internal/comparable.hpp"`
`#include "./types_fwd.hpp"`
`#include <proton/type_compat.h>`
`#include <iosfwd>`
Include dependency graph for duration.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | duration
| A span of time in milliseconds. More...

## Namespaces

| proton
| The main Proton namespace.

## Functions

std::ostream & | operator<< (std::ostream &, duration)
| Print a duration.
Comparison and arithmetic operators
bool | operator< (duration x, duration y)
bool | operator== (duration x, duration y)
duration | operator+ (duration x, duration y)
duration | operator- (duration x, duration y)
duration | operator* (duration d, uint64_t n)
duration | operator* (uint64_t n, duration d)
duration | operator/ (duration d, uint64_t n)

## Detailed Description

A span of time in milliseconds.